// API - Any Device - Linux
// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/HPDI32/HPDI32_Linux_sdk_6.x.x_GSC_DN/api/gsc_os_thread.h $
// $Rev: 23674 $
// $Date: 2013-10-31 16:25:34 -0500 (Thu, 31 Oct 2013) $

#ifndef __GSC_OS_THREAD_H__
#define __GSC_OS_THREAD_H__

#include <pthread.h>

#include "gsc_os_key.h"
#include "gsc_common.h"



/* typedefs	*****************************************************************/

typedef struct
{
	os_key_t	key;		// First field!
	pthread_t	thread;
	char		name[64];
} os_thread_t;




/* prototypes	*************************************************************/

U32		os_thread_destroy(os_thread_t* thread);
U32		os_thread_wait(const os_thread_t* thread, U32 timeout_ms);

U32		os_thread_create(	os_thread_t*	thread,
							const char*		name,
							U32				(*function)(void* arg),
							void*			arg);



#endif
