// Utils - HPDI32 - Any OS
// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/HPDI32/HPDI32_Linux_sdk_6.x.x_GSC_DN/utils/util_tx_clock_divider.c $
// $Rev: 23665 $
// $Date: 2013-10-31 16:20:26 -0500 (Thu, 31 Oct 2013) $

#include "hpdi32_utils.h"

#include <stdio.h>



//*****************************************************************************
int dev_tx_clock_divider(void* dev, int index, int verbose, unsigned long set, unsigned long* get)
{
	char	buf[128];
	int		errs;
	U32		status;

	if (verbose)
		label_text_index("Tx Clock Divider", index);

	status	= hpdi32_config(dev, HPDI32_TX_CLOCK_DIVIDER, 0, set, &set);
	errs	= (status == GSC_SUCCESS) ? 0 : 1;
	sprintf(buf, "%ld -> /%ld", (long) set, (set == 0) ? 1 : (set == 1) ? 1 : (2 * set));

	if (verbose)
		printf("%s  (%s)\n", errs ? "FAIL <---" : "PASS", buf);

	if (get)
		get[0]	= set;

	return(errs);
}


