// Utils - HPDI32 - Any OS
// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/HPDI32/HPDI32_Linux_sdk_6.x.x_GSC_DN/utils/util_tx_io_buffer_pointer.c $
// $Rev: 23665 $
// $Date: 2013-10-31 16:20:26 -0500 (Thu, 31 Oct 2013) $

#include "hpdi32_utils.h"

#include <stdio.h>



//*****************************************************************************
int dev_tx_io_buffer_pointer(void* dev, int index, int verbose, void** get)
{
	char			buf[128];
	int				errs;
	U32				status;
	unsigned long	set		= 0;

	if (verbose)
		label_text_index("Tx I/O Buffer Pointer", index);

	status	= hpdi32_config(dev, HPDI32_IO_BUFFER_POINTER, HPDI32_WHICH_TX, 0, &set);
	errs	= (status == GSC_SUCCESS) ? 0 : 1;
	sprintf(buf, "%s", set ? "Retrieved" : "NULL");

	if (verbose)
		printf("%s  (%s)\n", errs ? "FAIL <---" : "PASS", buf);

	if (get)
		get[0]	= (void*) set;

	return(errs);
}


