// API - Any Device - Any OS
// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/HPDI32/HPDI32_Linux_sdk_6.x.x_GSC_DN/api/gsc_access.h $
// $Rev: 23674 $
// $Date: 2013-10-31 16:25:34 -0500 (Thu, 31 Oct 2013) $

#ifndef __GSC_ACCESS_H__
#define __GSC_ACCESS_H__

#include "gsc_os_device.h"



/* #defines	*****************************************************************/

#define	GSC_DEVICE_IS_OPEN(ptr)		((ptr)->handle)
#define	GSC_GET_HANDLE(ptr)			((ptr)->handle)
#define	UL							unsigned long



/* typedefs	*****************************************************************/

typedef struct _dev_data_t	dev_data_t;

typedef struct
{
	U8			dev_index;
	U8			lst_index;
	U32			count;
	void*		handle;
	os_device_t	device;
} gsc_device_t;



/* prototypes	*************************************************************/

U32		gsc_close(gsc_device_t* device);
void	gsc_compute_base_index(void);
U32		gsc_count_boards(U8* count);
U32		gsc_open(U8 dev_index, U8 lst_index, gsc_device_t* device, void** handle);

U32		gsc_handle_validate(void*			handle,
							U8				lst_size,
							U32				st_size,
							gsc_device_t*	device,
							U8*				lst_index);



/* variables	*************************************************************/

extern	U32	api_initialized;
extern	U32	api_status;
extern	U32	api_status_arg;



#endif
