// API - Any Device - Any OS
// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/HPDI32/HPDI32_Linux_sdk_6.x.x_GSC_DN/api/gsc_key.h $
// $Rev: 23674 $
// $Date: 2013-10-31 16:25:34 -0500 (Thu, 31 Oct 2013) $

#ifndef __GSC_KEY_H__
#define __GSC_KEY_H__

#include "gsc_os_key.h"



/* #defines	*****************************************************************/

#define	GSC_BAR_T_KEY						OS_KEY_MAKE('G', 'b', 'a', 'r')
#define	GSC_DEVICE_T_KEY					OS_KEY_MAKE('G', 'd', 'e', 'v')
#define	GSC_DMA_T_KEY						OS_KEY_MAKE('G', 'd', 'm', 'a')
#define	GSC_DMA_CHANNEL_T_KEY				OS_KEY_MAKE('G', 'd', 'c', 'h')
#define	GSC_EVENT_T_KEY						OS_KEY_MAKE('G', 'e', 'v', 'e')
#define	GSC_IO_T_KEY						OS_KEY_MAKE('G', 'i', 'o', '_')
#define	GSC_IO_OVERLAP_T_KEY				OS_KEY_MAKE('G', 'i', 'o', 'v')
#define	GSC_IRQ_T_KEY						OS_KEY_MAKE('G', 'i', 'r', 'q')
#define	GSC_MEM_T_KEY						OS_KEY_MAKE('G', 'm', 'e', 'm')

#define	GSC_BAR_T_KEY_VERIFY(ptr)			OS_KEY_VERIFY((ptr),GSC_BAR_T_KEY)
#define	GSC_DEVICE_T_KEY_VERIFY(ptr)		OS_KEY_VERIFY((ptr),GSC_DEVICE_T_KEY)
#define	GSC_DMA_T_KEY_VERIFY(ptr)			OS_KEY_VERIFY((ptr),GSC_DMA_T_KEY)
#define	GSC_DMA_CHANNEL_T_KEY_VERIFY(ptr)	OS_KEY_VERIFY((ptr),GSC_DMA_CHANNEL_T_KEY)
#define	GSC_EVENT_T_KEY_VERIFY(ptr)			OS_KEY_VERIFY((ptr),GSC_EVENT_T_KEY)
#define	GSC_IO_T_KEY_VERIFY(ptr)			OS_KEY_VERIFY((ptr),GSC_IO_T_KEY)
#define	GSC_IO_OVERLAP_T_KEY_VERIFY(ptr)	OS_KEY_VERIFY((ptr),GSC_IO_OVERLAP_T_KEY)
#define	GSC_IRQ_T_KEY_VERIFY(ptr)			OS_KEY_VERIFY((ptr),GSC_IRQ_T_KEY)
#define	GSC_MEM_T_KEY_VERIFY(ptr)			OS_KEY_VERIFY((ptr),GSC_MEM_T_KEY)



#endif
