// API - Any Device - Any OS
// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/HPDI32/HPDI32_Linux_sdk_6.x.x_GSC_DN/api/gsc_sem.h $
// $Rev: 23674 $
// $Date: 2013-10-31 16:25:34 -0500 (Thu, 31 Oct 2013) $

#ifndef __GSC_SEM_H__
#define __GSC_SEM_H__

#include "gsc_os_sem.h"



/* typedefs	*****************************************************************/

typedef struct
{
	os_sem_t	sem;
} gsc_sem_t;




/* prototypes	*************************************************************/

U32		gsc_sem_create(gsc_sem_t* sem, const char* name);
U32		gsc_sem_destroy(gsc_sem_t* sem);
U32		gsc_sem_lock(gsc_sem_t* sem);
void	gsc_sem_unlock(gsc_sem_t* sem);



#endif
