#include "hpdi32_dsl.h"

#include <stdio.h>

U32	hpdi32_dsl_api_status(int verbose)
{
	U32	arg;
	U32	stat;
	U32	status;

	status	= hpdi32_api_status(&stat, &arg, HPDI32_API_VERSION);

	if (!verbose)
	{
	}
	else if (status != GSC_SUCCESS)
	{
		printf("hpdi32_api_status() failure: %ld\n", (long) status);
	}
	else
	{
		status	= stat;
		printf("API Status:\n");
		printf("  Status:   0x%lX\n", (long) stat);
		printf("  Argument: 0x%lX\n", (long) arg);
	}

	return(status);
}
