#include "hpdi32_dsl.h"

#include <stdio.h>

U32	hpdi32_dsl_reset(void* handle, int verbose)
{
	U32	status;

	status	= hpdi32_reset(handle);

	if (!verbose)
	{
	}
	else if (status != GSC_SUCCESS)
	{
		printf("hpdi32_reset() failure: %ld\n", (long) status);
	}
	else
	{
		printf("Device Reset: 0x%lX\n", (long) handle);
	}

	return(status);
}
